cairo-dock-plug-ins (3.4.0-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * Detailed Upstream ChangeLog (bzr r3122 -> r3127)
    - po: imported translations from Launchpad
    - src: Convert g_print -> cd_debug
    - Terminal: added support of VTE 2.91 (not used on Ubuntu 14.10)
  * debian/control:
    - Bumped core version

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Wed, 15 Oct 2014 16:48:14 +0200

cairo-dock-plug-ins (3.3.99.rc1.1~20141001~bzr3121-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot.
  * Detailed Upstream ChangeLog (bzr r.3116 -> r3121)
    - Dock: Rainbow: fix a crash if iNbRows is negative
    - Clock: Num: Data 1 line: compute the gap with the mean value of char's
      width (better to do that than using 12 percent of the total width)
    - Disks, System-Monitor, Netspeed: Graph: fixed wrong colours
    - Dbus: Applets: Fixed tiny memory leak when using graph data renderer

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Wed, 01 Oct 2014 22:02:58 +0200

cairo-dock-plug-ins (3.3.99.rc1.1~20140818~bzr3115-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot.
  * Short Upstream ChangeLog:
    - All: updated due to recent API changes and changes in the global style
    - All: removed GTK2 support
    - DnD2Share: refresh support of some backend
    - GMenu:
      - Do not create empty menus
      - Show dialogue to open a new app after the end of the installation
      - Added an option to not show this dialogue
    - Gnome: support Cinnamon logout
    - Logout: display a message to reboot after the end of the update
    - Shortcuts: improve the support of bookmarks
    - Status-Notifier: support scroll events
    - System-Monitor: fixed RAM info
    - Terminal: open terminal on middle click, support Maj+Ctrl+[CV]
    - UPower: support 0.99 version (LP: #1330037 - was already patched)
    - Stop using GTK Stock icons
    - po: updated translations (added Korean)
    - Some bugs have been fixed, other tweaks (LP: #1303263)
  * debian/control:
    - Bumped Cairo-Dock (core) versions
    - Added libwayland (initial support, not enabled by default)
  * debian/patches:
    - Removed all patches: all of them were created from this version

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Tue, 19 Aug 2014 22:10:43 +0200

cairo-dock-plug-ins (3.3.99.beta1.2.really.3.3.2-0ubuntu6) utopic; urgency=medium

  * debian/control:
    - Removed unused build-dep: libgnutls-dev (used only by libetpan)

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Mon, 16 Jun 2014 17:37:07 +0200

cairo-dock-plug-ins (3.3.99.beta1.2.really.3.3.2-0ubuntu5) utopic; urgency=medium

  * debian/patches/bzr3083-3084_Support_UPower0.99.patch:
    - UPower 0.99+: 'changed' signal has been replaced by 'notify' signal 

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sun, 15 Jun 2014 15:54:04 +0200

cairo-dock-plug-ins (3.3.99.beta1.2.really.3.3.2-0ubuntu4) utopic; urgency=medium

  * debian/patches/bzr3083-3084_Support_UPower0.99.patch:
    - Support UPower 0.99+: UPower 0.99 no longer supports logout features:
      suspend/hibernate. We can also remove suspend/hibernate features of
      PowerManager applet: they are already supported by the logout applet.

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Fri, 30 May 2014 16:43:24 +0200

cairo-dock-plug-ins (3.3.99.beta1.2.really.3.3.2-0ubuntu3) utopic; urgency=medium

  * No-change rebuild for new libetpan.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 26 May 2014 15:13:26 -0400

cairo-dock-plug-ins (3.3.99.beta1.2.really.3.3.2-0ubuntu2) trusty; urgency=medium

  * debian/patches/bzr3070_Status-Notifier_workaround_was_broken_due_to_
    DBus_API_change.patch:
    - Status-Notifier was broken on Ubuntu 14.04 due to a DBus API change
      in Indicator-Application (LP: #1303731)

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Wed, 09 Apr 2014 00:00:14 +0200

cairo-dock-plug-ins (3.3.99.beta1.2.really.3.3.2-0ubuntu1) trusty; urgency=medium

  * Revert back to the 3.3.2 version: (LP: #1302246)
    Unfortunately, due to the lack of time, we have to revert back to the
    latest stable version. Sorry for that but feel free to help us ;-)
  * debian/patches: cherry-pick patches from upstream BZR repo, all 'bug-fix'
    and changes that were already in the 3.3.99.beta1 version except all
    changes linked to the new style, the menu and the configuration.
    - bzr3008_GMenu_new_apps_in_the_list.patch: GMenu: New Apps: if there are
      new apps when the 'new apps' dialogue is opened, add these new apps in
      the list
    - bzr3010_GMenu_option_hide_new_apps_dialogue.patch: GMenu: Config: Added
      the possibility to not display notification to quickly launch new apps
    - bzr3021_Terminal_launch_default_terminal_middle_click.patch: Terminal:
      middle click: launch the default terminal
    - bzr3031-3032_GMenu_remove_empty_submenus.patch: GMenu: do not add empty
      submenus when creating them and remove empty submenus
    - bzr3035_DND2Share_History_was_empty.patch: DnD2Share: history menu was
      empty
    - bzr3036-3040_Shortcuts_removed_disk_usage_on_bookmarks_and_support_
      x-nautilus_URI.patch: Shortcuts: correctly removed an old bookmark ;
      added support for x-nautilus-(...) URI ; avoid duplicated code +
      bookmarks doesn't have a disk usage ; translated a few sentences from
      French to English
    - bzr3043_Fixed_typo_with_some_sentences.patch: Fixed typo with some
      sentences which were not correctly translated
    - bzr3045-3046_GVFS_support_x-nautilus-desktop_and_fixed_typos_and_memory_
      leaks.patch: gvfs: fixed typo and tiny memory leak ; GTK3: 'x-nautilus-
      desktop' is just an URI where the root is the path to the desktop
    - bzr3047-3048_Status-Notifier_Added_support_of_middle_click_and_scroll:
      Status-Notifier: IAS (ubuntu): added the support of the middle click ;
      Scroll signals were not catched
    - bzr3051_Logout_Added_support_of_Cinnamon.patch: logout: added support of
      Cinnamon
    - bzr3057_GMenu_new_apps_show_dialog_after_installation.patch: GMenu: new
      apps: show the dialog only after the end of the installation
    - bzr3065_Impulse_do_not_redraw_icon_when_not_needed.patch: Impulse: stop
      animations: do not redraw the icon if it's not needed (e.g. when
      disabling the applet)
    - bzr3067_AlsaMixer_support_cinnamon_settings.patch: AlsaMixer: added the
      support of cinnamon-settings
    - bzr3068_Clock_fixed_a_crash_when_configuring_when_not_enabled.patch:
      Clock: fixed a crash when configuring the applet if it's not activated
    - bzr3069_Indicator_Generic_no_need_to_hide_the_icon_before_removing_it:
      Indicator Generic: stop: no need to hide the icon before removing it
  * debian/control: bumped Core versions

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Mon, 07 Apr 2014 00:48:03 +0200

cairo-dock-plug-ins (3.3.99.beta1.1~20140219~bzr3061-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot.
  * Short Upstream ChangeLog:
    - All: updated due to recent API changes and changes in the global style
    - GMenu:
      - Do not create empty menus
      - Show the dialogue to open a new after after the end of the installation
      - Added an option to not show this dialogue
    - Gnome: support Cinnamon logout
    - Logout: display a message to reboot the system after the end of the update
    - Shortcut: improve the support of bookmarks
    - Status-Notifier: support scroll events
    - Terminal: open terminal on middle click
    - Some bugs have been fixed (LP: #1253654), other tweaks
  * debian/control:
    - Bumped Cairo-Dock (core) versions
    - Bumped Standard Version (no change needed)

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Wed, 19 Feb 2014 23:53:46 +0100

cairo-dock-plug-ins (3.3.2-0ubuntu2) trusty; urgency=low

  * No changes: Rebuild for the new version of GTK 

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Tue, 10 Dec 2013 22:57:18 +0100

cairo-dock-plug-ins (3.3.2-0ubuntu1) trusty; urgency=low

  * New upstream release. (bug-fix version)
  * Detailed Upstream ChangeLog (3.3.1 -> 3.3.2)
    - Animated-icons: add the option to disable the 'opening animations'
      in Animated-icons' settings
    - DBus: third-party: init: register the applets after having set the
      text domain for gettext (to translate some titles)
    - Dock-rendering: panel view: fixed the input shape when there is a
      single group of icons (no separator)
    - GMenu:
      - Apps: fixed tiny memory leak when stopping GMenu
      - Apps: New app: avoid multiple dialogues and select the first item
        in the list
      - Entry: with GTK 3.10: both the entry and the menu receive the signal
        that a key is pressed. This causes a bug: each character is doubled
      - Menus: added a workaround for libgnomemenu if XDG_CURRENT_DESKTOP
        is not defined (e.g. when using XFCE)
    - Icon Effect: config: move 'opening animation' option to 'when
      clicking on a launcher' section
    - MusicPlayer: fixed a bug when changing the player and fixed a few
      small memory leaks
    - System Monitor:
      - SWAP percent was computed twice
      - Fixed a possible crash if we want to display more than 4 values in
        a graph view
    - Shortcuts: bookmarks file:
      - If the file doesn't exist, first create the directory before
        creating an empty file
      - Check for the existence of the old and new bookmark files to decide
        which one to use (useful for Mint 14 for instance)
    - Weather: on double-click on the main icon, show the hourly forecast
    - Translations: imported translations from Launchpad.
  * debian/control:
    - bumped Cairo-Dock (core) versions
    - bumped Standards-Version to 3.9.4 (no change needed)

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sun, 10 Nov 2013 23:53:07 +0100

cairo-dock-plug-ins (3.3.1-0ubuntu1) saucy; urgency=low

  * New upstream release. (bug-fix version)
  * Detailed Upstream ChangeLog (3.3.0 -> 3.3.1)
    - Sound applet: fixed the display of the icon when the rendering is
      'icon only' and also on reload
    - GMenu: fixed a compilation error when using GTK2 and gnome-menu3
    - Shortcuts: with GTK 3.6 and newer, gtk bookmarks is now available in
      '~/.config/gtk-3.0/bookmarks' instead of '~/.gtk-bookmarks'
  * debian/control: Bumped Cairo-Dock (core) version

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Tue, 08 Oct 2013 18:58:46 +0200

cairo-dock-plug-ins (3.3.0-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * Detailed Upstream ChangeLog (beta 2 -> release)
    - Dbus: don't notify of startup if the applet is already controling a
      window
    - Dialogs: tooltip view: fixed the position of the widget inside the
      dialog when it's placed on top of the screen
    - Folder: watch for drop events onto the docks only
    - GMenu:
      - Apps: set the desktop environment to correctly exclude apps
      - Search: When there is no result, display 'Launch this command'
      - Search: launch app: do not restrict to the left click
      - Search: match: display name: locate a substring instead of compare
        the first chars
    - Indicator-Generic: forced the 'data' to be a GldiModuleInstance
    - logout: select shutdown menu item: do not create a list and iter all
      menu items, just save the pointer
    - Messaging Menu: Indicator3: detach the icon at startup: the icon is
      inserted when the entry will be added
    - Messaging Menu: with old versions of libindicator: fixed tiny memory
      leaks
    - po: updated translations
    - Switcher: correctly update the icon by listening more signals
    - Switcher: fixed the drawing of the desktop name in the desklet when
      it's larger than the desklet
    - Terminal: when dropped something in the terminal, take the data and
      not only the text + give the focus just after
    - All: menu functions have been renamed in libgldi
    - All: remove useless g_print
  * Some bugs have been fixed:
    - logout: UPower: invalid fastbin entry LP: #1212981
    - logout: Use logind for suspend/hibernate/poweroff/reboot LP: #1175810
    - keyboard: cairo-dock crashes on keyboard layout swtcher LP: #668061
    - keyboard: Cairo-dock is unable to get CAPS Lock and NumLck values
      LP: #476842
    - quick-browser: Error Message LP: #660261
    - recent-events: Move from zeitgeist-1.0 to zeitgeist-2.0 LP: #1197569
  * debian/control: bumped Cairo-Dock (core) version

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Fri, 04 Oct 2013 15:11:09 +0200

cairo-dock-plug-ins (3.2.99.beta2.1~20130919~bzr2946-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
  * Detailed Upstream ChangeLog:
    - GMenu: align the search box entry with all other entries
    - GMenu: now the results replace the current menu instead of adding
      a new window
    - GMenu: Added a separator after the GtkEntry
    - GMenu: app_match: Compare key and properting ignoring cases
    - GMenu: compilation error: With GLib 2.37.93, dirent.h is now included
      (in glib/gdir.h) but '__USE_BSD' is not defined and then DT_DIR and
      DT_LNK are not defined.
    - GMenu-old: also add support for cinnamon-menu-editor
    - Indicator-Generic: No need to reload all indicator if 1 is modified
    - logout: removed unused 'logout required' feature
    - Mail: don't use startup-notify feature since the applet doesn't
      control the application
    - Mail: removed unused variables
    - Music-player: use gldi_icon_launch_command
    - PowerManager: force (re)draw during the init/reload (add emblem)
    - Recent-Events: used a longer search bar (expanded and filled)
    - Recent-Events: update the result each time a new key is pressed
    - Switcher: update the icon if a new window is added/removed or delay
      the update if the wallpaper is modified (to avoid fading effect)
    - Status-Notifier: Hide the icon if there is no item
      (if there is nothing to display)
    - Misc: DBus: Third-party applets: bumped version -> 3.3.0
    - Misc: updated to match the core API -> 3.3-beta2
    - Misc: po: updated translations

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Thu, 19 Sep 2013 12:20:10 +0200

cairo-dock-plug-ins (3.2.99.beta1.1~20130827~bzr2928-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
  * Short Upstream ChangeLog:
    - Added support of logind in the Logout applet
    - Upgraded the Dbus API to be even more powerful
    - Added a search box in GMenu applet
  * debian/rules:
    - Added DEB_BUILD_PARALLEL flag
    - ROOT_PREFIX CMake flag is no longer needed
  * debian/control:
    - Bumped Cairo-Dock-Core version
    - libzeitgeist-2.0-dev replaces libzeitgeist-dev
    - cairo-dock-plug-ins: removed consolekit and upower dependences:
      logind is now fully supported and used by default
    - cairo-dock-plug-ins: Suggests:
      - Added alacarte: to edit Applications Menu
      - Added new 'indicators' which can be useful for Cairo-Dock Session

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Tue, 27 Aug 2013 16:57:30 +0200

cairo-dock-plug-ins (3.2.1-0ubuntu3) saucy; urgency=low

  * Rebuild with libical 1.0

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Jun 2013 14:13:24 +0100

cairo-dock-plug-ins (3.2.1-0ubuntu2) saucy; urgency=low

  * Depend on CK and UPower, since we use their D-Bus interfaces. 

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 02 May 2013 23:40:58 +0100

cairo-dock-plug-ins (3.2.1-0ubuntu1) raring; urgency=low

  * New upstream release. (bug-fix version) LP: #1168840
  * Detailed Upstream ChangeLog:
    - DBus:
      - Python interface: Translations: avoid blank dialogues when using
        special characters from .mo files with Python2.
      - Force the height of the menu, since GTK doesn t update it correctly
    - GMenu:
      - Preload icons at startup: removed this option: it s no longer
        needed when using libgnome-menu-3 and it can slow down the
        creation of this menu
      - Fix: LP: #1070663
    - Indicator-Generic:
      - If no indicator found, stay in the plugin mode to not create an
        useless icon
      - New indicators was not automatically launched: Monitor the
        indicator3 dir in order to reload indicators when these files are
        modified/added/removed
    - Indicators: Generic & Messaging Menu: LP: #1094592
      - Do not insert or detach icons if it s not necessary
    - Translations: Imported translations files from Launchpad
  * debian/control:
    - Bumped Cairo-Dock versions
    - 'cairo-dock-plug-ins' provides 'indicator-renderer' thanks to
      'Indicator-Generic' applets (and 'Indicator-applet3' internal lib)

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sun, 14 Apr 2013 12:00:01 +0200

cairo-dock-plug-ins (3.2.0-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Upstream ChangeLog:
    - Clock: iCal: don't add a new task if the uid is NULL
    - DBus interfaces: install python interfaces for both python2 and 3
    - Dock rendering: fixed the drawing of the 3D and Curve views when the
      alignment  is not centered
    - Fixed a few compilation errors and warning for FreeBSD
    - GMenu: init: load all menus and submenus in a separated thread and
      not in the mainloop to avoid tiny freezes at startup
    - GMenu: split the applet in two directories: one if libgnome-menu-3 is
      available and another one (GMenu-old) if libgnome-menu is available.
    - GMenu: if the user wants to show the menu before it's loaded, set a
      pending event
    - gvfs integration: hidden files were not correctly handled
    - po: Imported translations from Launchpad
    - Shortcuts: Disk usage: some sentenses was not translatable
    - Shortcuts: for a bookmark that points to a volume mount it before
    - Shortcuts: if the user wants to show the menu before it's loaded, set
      a pending event
    - ShowDesktop: Gnome-Shell workaround: add a small delay before
      triggering the desktop Exposé or Gnome-Shell will not respond
    - Sound-control: ignore alsa callbacks that are not 'value changed'
    - Status-Notifier: don't reset the icon if not in compact mode
  * debian/control:
    - Used the newer version of libgnome-menu (libgnome-menu-3-dev)
    - Bumped Cairo-Dock versions
    - Build-Depends: Added python3 in order to install both python 2 and 3
      interfaces

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Tue, 26 Mar 2013 00:17:44 +0100

cairo-dock-plug-ins (3.1.99.rc2.1~20130304~bzr2752-0ubuntu1) raring; urgency=low

  * New upstream snapshot.
  * Short Upstream ChangeLog:
    - New applet: Screenshot
    - New plug-in: Sound-Effects
    - Added Gnome-Shell support
    - Added GDM support for user switching
    - Added support for all the Unity indicators
    - Countless bug-fixes and improvements
  * debian/rules:
    - CMake flags: switch to ON/OFF
  * debian/control:
    - Bumped Cairo-Dock versions
    - Added a few indicator applets as 'Suggests'
  * debian/cairo-dock-plug-ins.install
    - cairo-dock-unity-bridge has been renamed.

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Tue, 05 Mar 2013 00:11:48 +0100

cairo-dock-plug-ins (3.1.2-0ubuntu1) raring; urgency=low

  * New upstream release. (bug-fix version)
  * Detailed Upstream ChangeLog:
    - Clock: If seconds are not shown, redrawn the applet each time at 00
       second (before the timer wasn't started with a delay and the applet
       was redrawn between 00 and 60 seconds)
    - GMenu: Editor: also check if 'menulibre' is available
    - RSSreader:
      - Make the text selectable in the dialog
      + Fixed incorrect duration of the dialog when no URL/connection 
    - MusicPlayer: if the music player has given a wrong .desktop filename,
       check if it's a valid name before doing something more
    - Status-Notifier:
      + When the icon theme changes, remove the previous one first
      + Position of the Menu: e.g. with Dropbox: the menu is out of the
         screen every time something has changed in this menu (it displays
         'connecting', free space available, etc.): we need to reposition it.
      + Fixed lots of corner cases (mainly for Skype)
      + Added full support of the Ubuntu indicator application API, for
         program that only use this one (and not the standard Status-Notifier
         API), like Skype
      + Implemented an horrible hack for Skype (it only creates its item when
         the host appears, not if the host already exists)
      + Updated the property HasStatusNotifierHostRegistered to
         IsStatusNotifierHostRegistered
      + Check for item unicity on creation (fixes the Skype double item)
      + E.g. with Dropbox, the menu is firstly drawn out of the screen and
         then it's ok 
    - Misc.:
      + CMakeLists.txt: DBusMenu GLib and GTK are needed for Indicator-Applet
  * debian/control:
    - Bump Cairo-Dock versions

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Thu, 06 Dec 2012 19:00:53 +0100

cairo-dock-plug-ins (3.1.1-0ubuntu1) raring; urgency=low

  * New upstream release. (bug-fix version)
  * Detailed Upstream Changelog:
    - Application Menu:
      + Recent-Menu was on a wrong section after an update of the menu
        (e.g. when a program was added/removed)
      + Menu: file name: firstly checked with XDG_MENU_PREFIX env variable
        (e.g. to use 'xfce-applications.menu' instead of 'applications.menu'
        in XFCE)
    - Clock: we need to include 'gdk/gdkkeysyms.h' for older versions of Gtk2
    - Dialogues: avoid using blocking dialogues (except if it's needed)
    - Dock-rendering: clean the dock correctly when switching from a 'Panel'
      view to another one.
    - Keyboard:
      + Forgot to replace the old (and temporally) emblems for CapsLock/NumLock
      + Gtk3: Used GDK functions to get the num/caps lock states because it
        seems it doesn't work very well with xKlavier functions with recent
        versions.
      + Clean old code
    - MusicPlayer:
      + Songs dropped on the icon were not enqueued
      + Mpris2: some players are not able to give a 'int64' value for
        'mpris:length'
      + If the music player gives us a '.desktop' filename, check first if it's
        a valid name before doing something more (e.g. Amarok give us a wrong
        name and then, it was not possible to re-launch Amarok from this applet)
    - Shortcuts:
      + Fixed a possible crash if the removed icon was at the beginning of the
        list
      + Allowed shortcuts like 'Browse Network', 'Browse recent files', and
        'Open Trash' to quickly open the corresponding URI
    - Sound Control:
      + Alsa backend: Handled this case: the default card is not the card that
        we want to control
      + When setting the volume while the output is mute, un-mute it
    - Status-Notifier:
      + Fixed a typo with the version of its .conf file
      + Don't add an empty icon path to the icons theme
    - Third-party applet: Store the icon name in order to use a new icon if
      the icon theme changes
    - Misc.:
      + Compilation: Status-Notifier: fixed a compilation error if 'indicator'
        is not found.
      + Updated translations
  * debian/control:
    - Bump Cairo-Dock versions

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sat, 10 Nov 2012 23:53:09 +0100

cairo-dock-plug-ins (3.1.0-0ubuntu2) quantal; urgency=low

  * debian/control:
   - Cairo-Dock dependencies: Removed '-0ubuntu1' to allow other distros and
     backports to work smoother (Thanks to Laney!) (LP: #1064130)

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Tue, 09 Oct 2012 23:39:20 +0200

cairo-dock-plug-ins (3.1.0-0ubuntu1) quantal; urgency=low

  * New upstream release. (LP: #1064130)
   - Even if there are a lot of changes, this is a 'bug-fix' version.
     Changes are big mainly because the translations have been updated and
     a lot of GCC warnings (from -Wall and -Wextra) have been fixed.
   - Note that due to the recent rewrite of indicator-messages,
      Messaging-Menu has been rewritten too to directly load the .so file
      Now it's just easy to add a new indicator applet and this is why
      Printers-Menu (indicator-printers) and Sync-Menu (indicator-sync)
      applets have been added just by modifying the name of the .so file.
  * Upstream ChangeLog (detailed changes since the last version):
   - All:
    + Graph: iRadius parameter is no longer needed
    + Notifications: removed unused registrations to a few signals
      (on click, on middle click, on build menu, etc.)
    + Code cleaning: removed a few useless g_print (or used cd_debug instead)
    + Code cleaning: fixed a lot of GCC's warnings when using -Wall
    + po: updated the translations
    + po: Added Lithuanian and Hebrew languages
   - Cairo-Penguin: its menu wasn't displayed when clicking on the character
   - Dock-Rendering:
    + Slide view: fixed the arrow color when the sub-dock is on a side of
      the screen
    + Slide view: renamed the files + fixed the position of the sub-dock when
      the parent dock's alignment is not centered
   - Doncky: fixed a lot (and a lot) memory leaks and warnings during the
      compilation
   - GMenu: for those having a big lag when opening the menu for the first
     time: it's now possible to load all icons at startup (hidden option)
   - GVFS:
    + No longer added the home directory when listing vfs-root
    + Fixed a few memory leaks
    + Renamed '/' by 'File System' (name used by other DE)
    + Removed an useless strcmp
   - Indicators:
    + Added support of the new Indicator (3-0.4)
      (needed for the new version of indicator-messaging)
    + Added Printers-Menu and Sync-Menu (they just load the right .so file)
   - Mail:
    + Fixed a few memory leaks and removed useless variables' initialisations
    + Set '/' as a default path if none is defined in conf
   - Messaging-Menu:
    + This applet was broken on Ubuntu Quantal due to the recent changes in
      the messagin-menu deamon. Now we use Indicator-applet3 to manage the
      applet. The code is now shorter, it should be safer and it's no longer
      needed to sync the code between indicator-messages and this
      Messaging-Menu applet
    + Removed the link to ido (it's not needed)
   - musicPlayer:
    + Prevent displaying quicklist, since the applet already provides all the
      common actions for any player
    + mpris2: some players doesn't support (well) the 'trackid'
      (e.g. Audacious or Pithos)
    + cover: used a loop instead of checking all names one by one
   - Powermanager:
    + UPower: displayed the details of all batteries
      (and not only the first one)
      + Connected to 'device-added' and 'device-removed' signals if the user
        adds or removes a battery (and avoid wrong informations)
   - Recent-Events:
    + Dialog: no longer added removed files
    + Dialog: Applications: Used the translated name
    + Recent files: added deleted files to the hashtable to prevent useless
      g_file_test
   - Shortcuts:
    + Bookmarks: moved Home to the bookmarks list (like most files managers)
    + Added the disk space progress bar on the Home folder, since /home is
      not listed by gvfs except if /home is on another partition
   - showDesktop:
    + Checked the XRandr version with the core function to avoid crash
      if XRandr 1.2 is not available
   - Stack:
    + Used 'g_uri_unescape_string' instead of 'g_filename_from_uri' to
      support all uri an not only 'file://'
   - Status-Notifier: if the item doesn't have info for the title, the ID is
     shown but this string is cut (12 chars)
   - Switcher: changed the 'render' notification order to draw the desklet
     after the desklet manager
  * debian/rules:
   - Removed all unstable applets
  * debian/cairo-dock-plug-ins.install:
   - Removed appmenu-registrar which was needed for the unstable'Global-Menu'
     applet.

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Tue, 09 Oct 2012 02:53:04 +0200

cairo-dock-plug-ins (3.0.99.beta1.1~20120827~bzr2515-0ubuntu1) quantal; urgency=low

  * New upstream snapshot.
  * Upstream ChangeLog (detailed changes):
   - Recent-Events: Dialog: no longer added removed files
      + Dialog: Applications: Used the translated name
      + Recent files: added deleted files to the hashtable to prevent
         useless g_file_test
   - ShowDesktop: fixed a typo (about the coloration in the code)
      + checked if Xrandr extension is available before using it
         (LP: #1040271)
   - CMakeLists.txt: linked each plugin to all libs used by gldi except
      gldi (and not only to a few modules)
   - Dbus: cairo-dock-unity-bridge crashed with TypeError in
      on_name_owner_changed(): cannot concatenate 'str' and 'NoneType'
      objects (LP: #1041558)
   - CMakeLists.txt: Checked gio-2.0 for 'gvfs-integration' even if GMenu
      is not compiled
      + Linked gvfs-integration static library to gio-2.0
   - GMenu: fixed a bug that could provoke a crash if the applet is
      deactivating
      + Used gio to launch the menu entries, so that the event is stored
       in Zeitgeist
   - Dbus: the binary was not linked to libdbusmenu
      + checked if we have dbusmenu and dbusmenu-gtk before adding DBusMenu
       support
   - DBus: cairo-dock-unity-bridge: excluded the current process when
      looking if the script has not already been launched
      + converted grep commands to python commands to not launch 4 processes
       just for that
      + Added 'Unity-Bridge' before all 'print'
      + ps command: print only pid + cmd
  * debian/control:
   - Bump Cairo-Dock versions

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Mon, 27 Aug 2012 15:25:03 +0200

cairo-dock-plug-ins (3.0.99.beta1-0ubuntu1) quantal; urgency=low

  * New upstream beta release.
  * Upstream ChangeLog (main changes):
   - Better integration of Unity: support of the Launcher API and better
      support of indicators
   - All configuration windows have been merged into a single one.
   - Added progress bars in several applets and in the Dbus API
   - The Music Player applet can control players in the systray.
   - Icons of the taskbar can be separated from launchers or not
   - And as always ... various bug fixes and improvements :-)
  * Fixed one bug reported on Launchpad:
   - Bookmark name in thunar wrong when shortcut added on plugin (LP: #995634)
  * debian: Used 'wrap-and-sort' tool
  * debian/control:
   - Bump Cairo-Dock version
   - Updated my email address
  * debian/rules:
   - Added Disks, Global-Menu and Doncky applets.
  * debian/cairo-dock-plug-ins.install:
   - Added 'appmenu-registrar' ('Global-Menu' applet)
      and 'cairo-dock-unity-bridge' ('Dbus' applet)

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sun, 19 Aug 2012 00:37:51 +0200

cairo-dock-plug-ins (3.0.2-0ubuntu1) quantal; urgency=low

  * New upstream bug-fix release. (LP: #1014804)
  * Upstream ChangeLog (3.0.0 -> 3.0.1):
   - Gnome-integration: fixed the time&date command
   - KDE integration: fixed the time&date command
   - Updated previews of dustbin and logout with the new version
   - Updated the version of applets that can be always visible
      (for the new parameters)
   - Clock: numeric view: increased the size of the rectangle if an
      outline is used and modified the default colour
   - Clock: Now with the possibility to have an outline with the digital view
      to see when we don't use any background
   - Used the core option to not force the display of icons in menus
   - Minor fixes in Sound Control's .conf file
   - MusicPlayer: mpris2: metadata: trackid attribute should be of D-Bus
      type 'o'
   - Switcher: fixed a possible crash (division by 0) if the X manager
      couldn't get info from X + removed bMenuVisible
   - Clock: analogic mode: fixed a bug where the date was not displayed
      correctly (with opengl)
   - Clock: numeric mode: set a minimum size for the text: we keep the
      ratio until 12px (under 12px, it's hard to read)
   - Logout: added a fallback method to get the users list if the accounts
      daemon service is not running
   - CMakeLists.txt: fixed a CMake warning (or error?)
  * Upstream ChangeLog (3.0.1 -> 3.0.2):
   - AlsaMixer: Fix: double-clicking did nothing if we didn't open the menu
      of the applet
   - DND2Share: Pastebin: Their public API is no longer available -> ported
      to the new API
   - GMenu: Fixed a bug that made sub-menus be too small,
      and therefore have to be scrolled + code cleaning
   - Logout: When the menu is reversed (top dock), select the last item so
      that it's the same as the normal menu (ie, the 'shutdown' item)
   - MusicPlayer: Prevented a warning message: when changing song, we don't
      receive this value: Position (no need to display a warning each time)
   - MusicPlayer: Allow recently played files in the menu (Recent-Files)
   - MusicPlayer: Fixed a bug that prevented the player from being launched
      the 2nd time in some cases
   - MusicPlayer: Added raise and quit methods in the menu when the player is
      in the systray (without that it's hard to display the window
   - MusicPlayer: Used toggle buttons for Shuffle and Repeat properties
   - Recent-Events: If the file doesn't exist, don't display it in the
      'Recent Files' menu
   - Recent-Events: Prevent doubles in the menu list
   - Po: Updated translations (added Croatian)
   - Shortcuts: Fixed a small bug with bookmarks (extra new lines were
      disrupting Thunar)
   - Status-Notifier: Added the marshaller for the XAyatanaNewLabel signal
   - Systray (old): Force the icons size to 24px, to avoid buggy programs to
      display their icon with a wrong size
   - Third-party applets: Reposition their right-click menu, so that it's the
      same as a normal menu (on top of the icon and no scroll needed)
  * debian/control:
   - Bumped libgldi-dev version to avoid compilation error
      (cmake check if libgldi has the same version than this package)

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Sat, 23 Jun 2012 17:32:52 -0400

cairo-dock-plug-ins (3.0.0.1-0ubuntu2) precise; urgency=low

  * debian/control:
   - Avoid an upgrade problem if cairo-dock-plug-ins-data is updated before
     cairo-dock-data; This is due to files moving between packages (LP: #984054)

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Tue, 17 Apr 2012 18:19:20 +0200

cairo-dock-plug-ins (3.0.0.1-0ubuntu1) precise; urgency=low

  * New upstream release. (LP: #983289)
  * Upstream ChangeLog:
   - Updated translations
   - Moved 'battery' theme from cairo-dock-core to cairo-dock-plug-ins
   - Included here a sound gauge theme for alsaMixer applet from our server in
      order to use the Default-Panel theme without an Internet connexion.
   - Shortcuts: properly initialize the disk structure, to avoid polling non
      writable disks
   - Clipper: fixed a warning when stopping the applet
   - Clock: fixed a small regression: text should be vertically centered
   - dnd2share: Fixed videobin backend and forced curl to follow redirection
   - Clock: numeric: Fixed a typo about the maximum ratio in vertical mode
   - Panel view: fixed the frame drawing (no bottom rounded corners)
   - Messaging-Menu:
    + Some items was not displayed with the latest version of indicator-messages
    + Fixed a few details about the lozenge and the drawing
    + Fixed a tiny memory leak
   - MusicPlayer: Fixed a typo about the detection of the MPRIS2 services for
      handlers with a valid mpris2 string
   - Shortcuts: used a default icon if vfs_backend_get_file_info returns none
      icon name (g_file_info_get_icon seems not able to find an icon for folders
      or drives on KDE)
   - GMenu: checked if alacarte or kmenuedit is available before adding the menu
      entry to launch it (alacarte seems no longer installed by default on new
      distributions with Gnome)
   - PowerManager: if we want to hide the icon, hide it even on desktop when we
      have no information)
   - ShowDesktop: if we can't show the widget layer or present the desktops
      (expo), we now display a warning and use the default action instead of
      doing nothing
   - Switcher: menu: limit windows' title to 50 chars to avoid too larger menus
   - Clipper: Menu entries are now translated
   - Mail: disable the RSS feed for Gmail, as it is not working any more with the
      current GMail authentification system; use IMAP instead
   - Status-Notifier: Removed an unused function
   - stdout: removed a lot of g_print functions (or replaced by cd_debug)
   - Clock: fixed the text drawing: avoid any stretching of the text
  * This 3.0 series (and previous series) also fixes these bugs:
   - "Cairo-dock plugin musicPlayer loads ridiculous covers" (LP: #538569)
   - "Songbird support outdated in musicPlayer" (LP: #538361)
   - "Trash applet detects drag-and-dropped items twice" (LP: #530975)
   - "Lock screen does not work in GNOME 3" (LP: #943533)
   - "Sound volume don't work on the cairo-dock of my computer after a killall
       pulseaudio" (LP: #913101)
   - "Logout Applet needs guest session menu" (LP: #757193)
   - "Trash not emptied with folders from other partitions" (LP: #686564)
   - "Incorrect down/up speeds in Netspeed" (LP: #672452)
   - "the desklet 'meteo' gone freeze, and if i try to change localization crashes
       all cairo, that became black" (LP: #671261)
   - "Clipper action failed on other WM than kde gnome xfce" (LP: #664089)
   - "Crashed when trying to remove Doncky deskapplet" (LP: #656611)
   - "Issues with the rendering of the Switcher applet" (LP: #606304)
   - "Shortcuts plugin brings dock to the front if new usb drive is pluged in
       and dock stays infront of all windows after that" (LP: #569598)
   - "Dustbin applet does not display trash on all volumes" (LP: #483963)
  * debian/control:
   - Bump Standards-Version
   - Updated the version of libgldi-dev (build-dep) and cairo-dock-core.
  * debian/rules:
   - Removed -Denable-global-menu=yes
      (Global Menu applet is not considered as a stable and usable applet)
  * debian/cairo-dock-plug-ins.install
   - Removed 'appmenu-registrar' (Global Menu applet is no longer compiled)

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Tue, 17 Apr 2012 15:04:21 +0200

cairo-dock-plug-ins (3.0.0.0rc1-0ubuntu1) precise; urgency=low

  * New upstream release. (LP: #961579)
  * Upstream ChangeLog: (main changes)
   - Updated translations
   - MusicPlayer:
    + When choosing the player the first time, launch it and set the name
    + It seems the latest stable version of rhythmbox now re-uses this DBus
       address: org.mpris.MediaPlayer2.rhythmbox
   - Use the default bg color for always visible icons
   - GMenu: check if kde4-applications.menu and lxde-applications.menu
      are available
   - Dbus:
    + Bash interface: fixed a typo
    + Changed the third-party applets dir on the server for the 3.0
    + Enabling threads on the Python Interface
    + Modified the old SetEmblem method to use the new overlays
   - Enable GVFS if detected
   - Indicators: handle the case where the service crashes
   - Status-Notifier:
    + Indicator 0.4.90 (and newer) has a new variable (Title)
    + Display Label first if it's available instead of Title first
    + Fixed a bug with empty labels
    + KDE's watcher: if ItemIsMenu is true (e.g. Klipper) and if we only show
       the menu on left click, we emit a signal to the application to show
       its own menu
    + checked if the menu path is different that '/NO_DBUSMENU'
    + IAS: checked if an item is not already available in the systray
       (workaround) and fixed a few typos
    + Added a space between icons and fixed the wrong drawing of the icon
       on a vertical dock if the icon can be resized
    + Used cairo_dock_add_path_to_icon_theme
   - Sound control:
    + Fixed a small bug on reload (invisible icon)
    + Updated the Dbus names to match with Ubuntu 12.04
    + Backported the latest version of Ubuntu's indicator-sound into the
       Sound-Control applet
    + Make some items in the menu invisible if not available
    + Worked around a bug in libindicator, which keeps internally
       the service pointer
   - Logout:
    + Fixed a tiny memory leak
    + Look for a different icon's size if we want to display this icon in
       a menu/a dock/an emblem
   - PowerManager:
    + Removed an extraseparators in the menu
   - Clock:
    + Used the logical rectangle in order to fix the position of the text
    + Removed unused files
    + Removed useless translations (log.x and log.y = 0)
    + Only used this ratio to limit the deformation with the height
    + Fixed a problem with the ratio if this applet is displayed in
       a vertical dock
   - Remote Control: fixed a crash during the 'click' signal
   - Slider:
    + When reloading, display the changes immediately
    + Added the possibility to refresh the images list from the menu
    + Fixed the loading of the image on startup, when the applet's size is
       not yet stable
    + Code cleaning
   - Fixed an error when compiling without libindicator
   - A few minor changes (comments, factorisation, etc)
   - Recent-Events: if zeitgeist is not yet running on first search,
      try 3 times before giving up.
  * debian/control:
   - Updated the version of cairo-dock-[core;data;dev].

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Wed, 21 Mar 2012 21:31:34 +0100

cairo-dock-plug-ins (3.0.0.0beta1-0ubuntu1) precise; urgency=low

  * New upstream release. (LP: #932042)
  * Upstream (short) ChangeLog:
   - The Log out applet has been rewritten, now allows one to switch users.
   - Many shortkeys have been added in different applets
   - The Sound Menu from Ubuntu has been integrated into the
      Sound-Control applet.
   - The Sound Menu from Ubuntu has been integrated into the
      Sound-Control applet.
   - Cairo-Dock now uses GTK3, for a better integration in a Gnome desktop
   - Few additions to the DBus API.
   - (...)
  * debian/patches:
   - Removed all previous patches (now in upstream)
  * debian/rules and debian/control:
   - Added multiarch support
  * debian/control:
   - Updated build-depends list (needed for MultiArch support and GTK3)
   - libgtkglext1-dev is no longer needed
      (replaced by libgl, libglu and libpango)
   - Removed old Gnome dependences: libgnomevfs2-dev, libgnomeui-dev
      and libgnome-keyring-dev
   - libfftw3-dev is no longer needed
   - Increased the version of Cairo-Dock packages
   - Separated DBus interfaces from cairo-dock-plug-ins package into
      cairo-dock-plug-ins-dbus-interface-* packages in order to add right
      dependences.
   - cairo-dock-plug-ins: cairo-dock-plug-ins-dbus-interface-python
      has been added.
  * debian/rules:
   - Added -Denable-global-menu=yes (supported in Ubuntu)
  * debian/cairo-dock-plug-ins.install
     and debian/cairo-dock-plug-ins-integration.install: MultiArch is
     now supported
  * debian/cairo-dock-plug-ins.install,
     debian/cairo-dock-plug-ins-data.install,
     debian/cairo-dock-plug-ins-dbus-interface-vala.install,
     debian/cairo-dock-plug-ins-dbus-interface-ruby.install,
     debian/cairo-dock-plug-ins-dbus-interface-python.install and
     debian/cairo-dock-plug-ins-dbus-interface-mono.install:
      DBus interfaces from cairo-dock-plug-ins have been separated into
      cairo-dock-plug-ins-dbus-interface-* pacakges
  * Updated debian/watch
  * debian/compat
   - Debhelper 8 is now used

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Thu, 16 Feb 2012 01:45:57 +0200

cairo-dock-plug-ins (2.4.0~2.1-0ubuntu2) precise; urgency=low

  * no change rebuild for libindicator7

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 25 Jan 2012 09:48:42 -0500

cairo-dock-plug-ins (2.4.0~2.1-0ubuntu1) precise; urgency=low

  * New upstream bug fix release. (LP: #886676)
  * Upstream ChangeLog:
   - Desklet-rendering - viewport: fixed a crash when the desklet is empty
   - Status-Notifier: patch to work around strange bugs
      in the Ubuntu's indicator-application
   - Switcher: fixed a crash in expanded+desklet mode, a wrong loading
      of the icons and a small drawing bug with the non-compact view.
   - GMenu: look for *-applications.menu file in the xdg path
      (if common file names are not found, e.g. with KDE env in Oneiric)
  * debian/patches/01-switcher-force-compact-view.patch:
   - Deleted (now in upstream)
  * debian/patches/01-removed-useless-g_print.patch:
   - Removed useless output messages

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Sat, 05 Nov 2011 21:55:39 +0100

cairo-dock-plug-ins (2.4.0~2-0ubuntu1) oneiric; urgency=low

  [ Matthieu Baerts (matttbe) ]
  * New upstream bug fix release. (LP: #859984)
  * Upstream (short) ChangeLog (2.4.0~0beta2 -> 2.4.0~1):
   - Powermanager: correctly release the reference on the device object
   - logout: now works if there is no session-manager
   - Status-Notifier: fixed a small bug
      (wrong callback in cairo_dock_stop_watching_dbus_name_owner)
   - Folders: fixed the positionning of the new icon
      and the dialog when dropping a folder inside the dock
      and fixed the icon-rendering
   - Dustbin: use the default theme if no icon is found
   - Impulse: the default context seems to be ok and not an error
   - Status-Notifier: On Ubuntu Oneiric (with indicator-0.4)
      the ApplicationAdded signal has changed and has a new parameter
   - Disable MeMenu on Oneiric (no longer available with indicator-0.4)
   - CMakeLists.txt: Improved output messages
   - Slide view: fixed a small offset in vertical view
   - musicPlayer:
    + split MPRIS 1.0 and 2.0 to help debugging and finding the right
       name of the bug.
    + 'rhythmbox-client' tool is no longer available: used MPRIS
    + Disable Amazon service (it no longer work)
    + Cover: fixed corrupted icons: some players (e.g. the latest version
       of RB) copy covers on their cache forlder but it takes a few time.
    + Fixed the update the icon and its name if the player is stopped.
    + Prevent a crash if the name given by MPRIS is NULL
   - Powermanager: try to prevent to have a few dialogues at the same time
   - PowerManager and AlsaMixer: hidden gnome2 or 3 apps if not available
   - Messaging-Menu: Updated for Natty and Oneiric
      (dbus-menu gives us GVariant instead of GValue objects)
   - Alsamixer: fixed a small bug on reload
   - Dbus: Bash interface: Fixed a typo with emblem positions
   - Sys-monitor: fixed a bug which prevented from getting
      the CPU temperature in some cases
   - Compiz (0.9): type filter: replaced type=utility by type=Utility
   - Updated the version of all applets that have gauges
     in order to use the right directory
   - Wifi: Fixed the status if we are not connected
   - Dbus: removed a conflict with the Help applet
   - Messaging-Menu: updated applet-menu.c => Memory leaks on pixbufs
   - Dbus: Fixed a crash when changing dock theme if a 'third-party' applet
      is running
   - Netspeed: in /proc/net/dev, there are 8 values to drop after the card id
      except if there is whitespaces just after this ':' character
      and fixed order and value for ON_ICON display
   - dock-rendering/toto: removed a useless file
   - Clipper: fixed the loading of the remembered items
      (they had the wrong type) and fixed a bug if we reduce the list of items
   - Folders, dustbin, Network-Monitor: tried to not use cast if it's possible
   - Code cleaned and re-organised a few functions
     (e.g. emblem references has been renamed)
   - Removed useless files: powermanager-dbus*
   - Updating translations
   - Fixed a few warnings at the compilation
   - Removed a few useless output messages
   - Fixed these LP bugs:
    + Empty trash from the trashcan does not delete files
       from usb harddisks: LP: #658681
    + Switcher applet doesn't respect desktop numbers LP: #626782
  * Upstream (short) ChangeLog (2.4.0~1 -> 2.4.0~2):
   - Messaging-Menu: fixed a wrong g_object_unref (double free)
      and a small memory leak
   - Folders: fixed a tiny warning at the compilation (32bits)
   - switcher: removed an unnecessary config parameter
   - Folders: file size: used English instead of French translation.
   - Indicator applet: Forced a cast to remove an annoying warning
      due to clumsy dbusmenu_gtkmenu_new() declaration
   - Fixed the detection of the screensaver
   - Fixed tiny warnings at the compilation (with CAIRO_CONTAINER)
  * debian/control:
   - Updated the version of cairo-dock-[core;data;dev].
   - Added gvfs as 'Suggests' for cairo-dock-plug-ins-integration
      (Used for managing files)
   - Removed 'libthunar-vfs-1-dev' (libthunar-vfs is no longer installed
      by default since XFCE 4.8 and it is replaced by gvfs)
   - Removed 'indicator-me' (no longer available
      and the installation of Cairo-Dock produces an error)
   - Moved 'indicator-messages' to 'Recommends'
  * debian/rules:
   - Updated the name of CMake extras flags
  * debian/cairo-dock-plug-ins-data.lintian-overrides:
   - Deleted (now useless)
  * debian/cairo-dock-plug-ins.lintian-overrides:
   - Cairo-Dock Plug-Ins are not linked to gldi
   - shlib-without-versioned-soname: forwarded to upstream.
  * debian/cairo-dock-plug-ins-integration.lintian-overrides:
   - Cairo-Dock Plug-Ins are not linked to gldi
   - ldconfig and shlibs are not needed
  * debian/cairo-dock-plug-ins.install:
   - Fixed lintian errors: package-installs-python-bytecode
  * debian/control: Fixed lintian warnings:
   - python-script-but-no-python-dep
   - description-synopsis-starts-with-article
  * debian/changelog:
   - Fixed lintian warning: old-fsf-address-in-copyright-file
  * debian/patches/01-switcher-force-compact-view.patch: 
   - Forced the compact view because the other doesn't work

  [ Iain Lane ]
  * Fix Mono/CLI build to be ~policy compliant and use correct compiler

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Sun, 09 Oct 2011 00:19:16 +0200

cairo-dock-plug-ins (2.4.0~0beta2-0ubuntu1) oneiric; urgency=low

  * New upstream release. (LP: #823514)
  * Upstream (short) ChangeLog:
   - The Power-Manager applet has been rewritten to work on any plateform.
   - Compiz-icon applet has been replaced by Composite-Manager.
   - Improved integration in the XFCE, LXDE and GNOME3 desktop.
   - Logout is now working even if there is no/an unknow session manager.
   - Several new DBus methods lets you interact on the dock more easily.
   - Added the possibility to shutdown/logout with GMenu.
   - Improved Status-Notifier and added its own watcher.
   - Added a new applet: Impulse (still need testing).
   - Fixed a few bugs as usual.
  * debian/patches:
   - Removed all patches (they was already unapplied).
  * debian/copyright:
   - Updated with new files/directory.
  * debian/cairo-dock-plug-ins.install:
   - Added status-notifier-watcher used by Status-Notifier applet.
  * debian/control:
   - Updated the version of cairo-dock-[core;data;dev].
   - Bump Standard-Version to 3.9.2.
   - Added fftw3, pulse (Impulse) and upower-glib (Logout)
      as new dependences for the build process.
   - Added indicator-[me;messages] as new recommendations
      for cairo-dock-plug-ins (needed for [Me;Messaging]Menu applets).
   - Removed gawk from the build dependences list (no longer needed).
  * cairo-dock-plug-ins package needs to be recompiled (LP: #811579)

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Tue, 09 Aug 2011 21:50:47 +0200

cairo-dock-plug-ins (2.3.0~3-0ubuntu1) oneiric; urgency=low

  * New upstream release. (LP: #799774)
  * Upstream ChangeLog:
   - Status Notifier: enable translations (fixed a typo)
   - Weather: prevent a crash if there is an error (LP: #788437)
   - dnd2share: avoid a crash of u1sdtool
  * debian/patches:
   - Removed all patches (now in upstream)
  * debian/control:
   - Updated version

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Tue, 05 Jul 2011 13:45:43 -0400

cairo-dock-plug-ins (2.3.0~2-0ubuntu1) oneiric; urgency=low

  * New upstream release. (LP: #786105)
  * Upstream ChangeLog:
   - Fixed a typo in CMakeLists.txt about Ruby interface
   - CMakeLists.txt: Added the status of applets (stable / unstable
      / unsupported) to help packagers to not include unstable or
      unsupported applets on Cairo-Dock packages for stable distributions
  * debian/patches:
   - Added two upstream's patches:
    + to avoid a crash of u1sdtool (dnd2share)
    + to prevent a crash with Weather (LP: #788437) 
  * debian/control:
   - Removed libgvfscommon-dev (not used and no longer available)

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Mon, 06 Jun 2011 12:09:47 +0200

cairo-dock-plug-ins (2.3.0~1-0ubuntu1) natty; urgency=low

  * New Upstream Version (LP: #723995)
  * Upstream short ChangeLog (since 2.3.0~0rc1):
   - Updated translations
   - Updated the integration of the new versions of kwin and compiz
      (Switcher, ShowDesktop, etc.)
   - Removed a lot of useless g_print
   - Updated a few plug-ins to fit with the new version of the API (gldit)
   - Fixed a few bugs
   - Updated MeMenu, MessagingMenu and Status-Notifier to works
      with the latest version of dbusmenu, etc.
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/cairo-dock-plug-ins.install:
   - Added new files (interfaces for python, ruby, vala and mono)
  * debian/control:
   - Added new dependences for new applets (sensors and zeitgeist)
      and new interfaces (python, valac, ruby and mono)
   - Updated the version of cairo-dock build-dependences
  * debian/rules:
   - Added a new CMake flag to install python interface in debian/tmp
  * Updated debian/watch

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Wed, 20 Apr 2011 20:46:51 +0200

cairo-dock-plug-ins (2.2.0~4-0ubuntu4) natty; urgency=low

  * debian/control:
    - Build-Depend on libwebkitgtk-dev instead of libwebkit-dev (LP: #704032)

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Sat, 22 Jan 2011 01:35:50 +0200

cairo-dock-plug-ins (2.2.0~4-0ubuntu3) natty; urgency=low

  * No change rebuild for libindicator1 > libindicator2 transition

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 14 Jan 2011 17:32:25 -0600

cairo-dock-plug-ins (2.2.0~4-0ubuntu2) natty; urgency=low

  * No change rebuild for libdbusmenu-gtk1 > libdbusmenu-gtk2 transition

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 19 Dec 2010 10:43:52 +0530

cairo-dock-plug-ins (2.2.0~4-0ubuntu1) maverick; urgency=low

  * New Upstream Version (LP: #653702)
  * Fixed a few bugs:
   - All .mo files aren't installed into the right directory (LP: #653336)
   - Dbus: Fixed a crash when exiting Cairo-Dock
   - Indicator: Some modifications needed for the latest
                 version of libindicator
   - RSSreader: Prevented a crash if myDrawContext != NULL
   - Clock: Prevented a crash if myDrawContext != NULL
   - Switcher:
    - Prevented a crash if myDrawContext != NULL
    - Fixed a crash if the plugin is launched much time before the WM
   - musicPlayer:
    - Used the right image set from the config panel
    - MPRIS plugin: fixed a bug with the tracknumber
   - Systray: not drawn outside the screen.
   - tomboy: not popup a dialogue inside the screen
   - xfce-integration: displayed a window when logout applet is launched
  * debian/control:
   - Updated the version of cairo-dock-dev and cairo-dock-core

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Sat, 02 Oct 2010 20:10:47 +0200

cairo-dock-plug-ins (2.2.0~2-0ubuntu1) maverick; urgency=low

  [ Matthieu Baerts (matttbe) ]
  * New Upstream Version (LP: #638529)
  * Fixed a few bugs on LP:
   - Fixed a crash in rainbow view when the cone is completely opened
   - Fixed a crash in rainbow view if the subdock is empty
   - Installed in lib directory by default even in 64bits arch
   - Status-Notifier: fixed few bugs
   - Clock applet:
     - Notify of missed tasks (moved some functions to a new file)
     - Fixed a little memory leak
   - Removed some 'g_print' (LP: #500677: xsession-errors log)
  * Updated translations
  * debian/control
   - Updated the version of cairo-dock-dev and cairo-dock-core

  [ Didier Roche ]
  * debian/control: depends on latest libindicator-dev (LP: #637692)

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Sat, 18 Sep 2010 14:20:27 +0200

cairo-dock-plug-ins (2.2.0~0rc1-0ubuntu1) maverick; urgency=low

  * New Upstream Version (LP: #632054)
  * Fixed a few bugs on LP:
   - LP: #616176 Dust Bin Hang and Incorrect Configuration
   - LP: #604034 Change terminal tab's name lost the color
   - LP: #582452 GMenu does not contain any applications
  * Fixed a few bugs on glx-dock forum:
   - Fixed support of GMusicBrowser.
   - AlsaMixer has no emblem.
   - Status-Notifier doesn't be drawed into the dock.
  * Updated translations
  * debian/control:
   - Added cairo-dock-core as build-depends in order to prevent
     some builds errors.

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Tue, 07 Sep 2010 02:38:17 +0200

cairo-dock-plug-ins (2.2.0~0beta4-0ubuntu1) maverick; urgency=low

  * New Upstream Version (LP: #614625)
  * Fixed a few bugs on LP:
   - LP: #483963: Dustbin applet does not display trashes on all volumes
   - LP: #485159: Some apps have problem with Systray
   - LP: #500677: ~/.xsession-errors is too much used by CD
   - LP: #500979: Shortcuts: the order gets messed up
   - LP: #521531: Mail: crashes on Maildir
   - LP: #519915: GTG: create a new applet to control GTG
   - LP: #526138: GMenu doesn't handle desktop file exec strings properly
   - LP: #531317: CMake: Added an error if the prefix of 'cairo-dock-plugins'
                   is not the same 'cairo-dock-core'
   - LP: #531319: CMake: check the version of 'cairo-dock' when building
                   'cairo-dock-plugins'
   - LP: #537115: Click at the position where icon lavel was, the icon
                   and dock still receive the event
   - LP: #537943: Terminal applet shortkey behaviour
   - LP: #538637: Trash applet doesn't create .trashinfo files on XFCE
   - More details on the 'ChangeLog' file
  * debian/rules:
   - Autotools has been replaced by CMake
   - cdbs is now used.
  * debian/copyright:
   - Updated with the new applets
  * debian/control:
   - Autotools has been replaced by CMake
   - Added libcurl4-gnutls-dev, libindicator-dev, libdbusmenu-glib-dev
     libido-0.1-dev, libical-dev, libdbusmenu-gtk-dev as Build-deps
   - Bump Standard-Version to 3.9.1
   - Wget is required for dnd2share applet
   - Added the exact realease for 'cairo-dock-dev' in order to prevent any
      build error if this package is not already available (thx to didrocks)
  * debian/cairo-dock-plug-ins*.install:
   - All sonames are now installed into lib32 or lib64 (lib*)

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Tue, 10 Aug 2010 00:05:57 +0200

cairo-dock-plug-ins (2.1.3-10-lucid-0ubuntu2) lucid; urgency=low

  [ Matthieu Baerts (matttbe) ]
  * LP: #568258 (Rebuild plug-ins with the same version of cairo-dock (core))

  [ Iain Lane ]
  * debian/control: Update versioned BD on cairo-dock-dev to be restricted to
    applicable upstream versions.

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Thu, 22 Apr 2010 11:15:36 +0200

cairo-dock-plug-ins (2.1.3-10-lucid-0ubuntu1) lucid; urgency=low

  [ Matthieu Baerts (matttbe) ]
  * New upstream release (LP: #568083)
  * Fixed some bugs:
   - LP: #455261 (Cannot Modify / Add Custom Launchers)
   - LP: #449422 (Cairo-Dock resize problem)
   - LP: #489349 (showDesktop Applet only seems to work
          every second time you click on it)
   - LP: #526742 (The system monitor plugin and netspeed
          plugin inverts upside-down continuously)
   - Dbus: Used the right DBus API of Cairo-Dock (2.1.3 stable)
   - Used icons of the system
   - alsaMixer: fixed a crash when read several xml data
   - musicPlayer:
    * Removed some annoying warnings
    * Banshee-plugin: fixed some bugs due to the new version (1.4.0)

  [ Iain Lane ]
  * debian/watch: Update to match against current version

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Tue, 20 Apr 2010 01:52:21 +0200

cairo-dock-plug-ins (2.1.3-6-0ubuntu1) lucid; urgency=low

  [ Matthieu Baerts (matttbe) ]
  * New upstream release (LP: #521536)
  * debian/control:
   - Remove some duplicated build-depends
   - Update the website (cairo-dock.org -> glx-dock.org)
   - Added libetpan-dev as depends for cairo-dock-plug-ins (mail applet).
   - Updated cairo-dock-core and cairo-dock-dev minimal version.
  * Updated debian/watch and debian/copyright with LP account.
  * debian/rules:
   - Added --enable-mail and --enable-rssreader to enable new stable applets.

  [ Didier Roche ]
  * Fix debian/watch
  * Fix some issue in versionning
  * cleaning the package in debian/control to have good build-dep and deps

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Sun, 14 Feb 2010 00:51:22 +0100

cairo-dock-plug-ins (2.0.9-0ubuntu1) karmic; urgency=low

  [ Matthieu Baerts (matttbe) ]
  * New upstream release (LP: #435590)
  * debian/control: 
   - Remove ${shlibs:Depends} for integration plug-ins to avoid
     pulling shared libraries which are detected automatically.
   - Added curl as depends for cairo-dock-plug-ins
  * debian/rules:
   - Add --enable-dnd2share and --enable-musicplayer to enable new applets.
   - Remove --enable-rhythmbox and --enable-nvidia to remove those applets,
     not maintained upstream.
  * Update *.install to take all generated applets.

  [ Julien Lavergne ]
  * Adjust changelog with Daniel Holbach suggestions.
  * cairo-dock-plug-ins.changelogs:  Install specific changelog for 2.0.9
  * Build-depends on cairo-dock-dev (>= 2.0.9)

 -- Julien Lavergne <gilir@ubuntu.com>  Mon, 05 Oct 2009 19:27:17 +0200

cairo-dock-plug-ins (2.0.8.2-0ubuntu2) karmic; urgency=low

  * debian/control:
   - Replaced cairo-dock to cairo-dock-core as dependancies (LP: #426436)

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Thu, 10 Sep 2009 16:49:42 +0200

cairo-dock-plug-ins (2.0.8.2-0ubuntu1) karmic; urgency=low

  * New upstream version (Fix licence issues)
  * Modify debian/copyright to comply with licence issue fixes

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 26 Aug 2009 23:31:05 +0200

cairo-dock-plug-ins (2.0.8.1-0ubuntu1) karmic; urgency=low

  [ Matthieu Baerts (matttbe) ]
  * New Upstream Version.
  * debian/control
   - Fix conflict with cairo-dock-plug-ins (<= 2.0.8)
  * Add licences

  [ Didier Roche ]
  * Repackage to have a separated diff.gz (as debian/ directory is not in
    upstream bz2)
  * Add debian/cairo-dock-data.lintian-overrides as plugin config file
    uses a shebang (upstream warned)
  * debian/control:
    - add missing ${shlibs:Depends} to cairo-dock-plug-ins-integration
    - remove cairo-dock-plug-ins replacing itself
    - Fix spelling-error-in-description: Gnome -> GNOME, XFCE -> Xfce
    - bump Standard-Version to 3.8.3

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 26 Aug 2009 21:07:39 +0200

cairo-dock-plug-ins (2.0.8-0~ppa3~karmic2) karmic; urgency=low

  * New upstream release.
  * Rename package (cairo-dock-plugins to cairo-dock-plug-ins).
  * debian/control:
   - Added libxklavier-dev as depends for cairo-dock-dev.
  * Changed debian/rules
  * Add debian/watch
  * Update debian/copyright
  * Rename package (cairo-dock-plug-ins) in debian/rules
  * debian/rules
   - Removed override_dh_installdeb
   - changed flags of configure
  * debian/control
   - Added a new package cairo-dock-plug-ins-integration (in order to remove unnecessary dependencies)
  * Creation of cairo-dock-plug-ins-integration.install

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Wed, 12 Aug 2009 01:32:24 +0200

cairo-dock-plug-ins (2.0.7-1) karmic; urgency=low

  * New upstream release.

 -- Matthew Walker <matthaeus123@gmail.com>  Wed, 1 Jul 2009 20:25:15 -0700

cairo-dock-plug-ins (2.0.5-1) karmic; urgency=low
	
  * New upstream release.
  * Removed debian/watch

 -- Matthew Walker <matthaeus123@gmail.com>  Wed, 10 Jun 2009 11:23:15 -0700

cairo-dock-plug-ins (2.0.3-1) karmic; urgency=low
  
  * New upstream release.
  * Regenerate all global *.PO files.
  
 -- Matthew Walker <matthaeus123@gmail.com>  Sat, 23 May 2009 9:23:15 -0700

cairo-dock-plug-ins (2.0.1-2) karmic; urgency=low
  
  * New release.
  * SVN sync with trunk.
  
 -- Matthew Walker <matthaeus123@gmail.com>  Sun, 17 May 2009 19:33:15 -0700

cairo-dock-plug-ins (2.0.0-3) karmic; urgency=low
	
  * SVN sync with trunk.
  - Removed debian/watch
  
 -- Matthew Walker <matthaeus123@gmail.com>  Sun, 10 May 2009 20:21:15 -0700

cairo-dock-plug-ins (2.0.0-2) karmic; urgency=low
	
  * Real new upstream release.
  + Changed debian/control dependencies
    - Removed libglitz1-dev, and libglitz-glx1-dev
  * Changed debian/rules
    - disable-gnome-integration-old, enable-terminal, disable-cairo-penguin
      enable-Animated-icons, 
    + disable-old-gnome-integration

 -- Matthew Walker <matthaeus123@gmail.com>  Sun, 10 May 2009 20:21:15 -0700

cairo-dock-plug-ins (2.0.0-1) karmic; urgency=low
	
  * Fix build error.
  * Debian/control
  * Removed dependencies for glitz, because it won't work with
    new Cairo versions.

 -- Matthew Walker <matthaeus123@gmail.com>  Sat, 9 May 2009 11:21:15 -0700

cairo-dock-plug-ins (2.0.0-0) karmic; urgency=low
	
  * New upstream release.

 -- Matthew Walker <matthaeus123@gmail.com>  Fri, 8 May 2009 20:00:37 -0700
